<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/GEListGenome.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GEListGenome.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_g_e_list_genome_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// GEListGenome.h -*- C++ -*-</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// Knapsack</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef _GELISTGENOME_H</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define _GELISTGENOME_H</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include&lt;ga/ga.h&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="class_g_e_list_genome.html">   10</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_g_e_list_genome.html">GEListGenome</a>:<span class="keyword">public</span> GAListGenome&lt;unsigned char&gt;{</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <a class="code" href="class_g_e_list_genome.html#a1320e2bfb7fdf0dce9cf1fa921850cb1">GEListGenome</a>();</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  <a class="code" href="class_g_e_list_genome.html#a1320e2bfb7fdf0dce9cf1fa921850cb1">GEListGenome</a>(<span class="keyword">const</span> <a class="code" href="class_g_e_list_genome.html">GEListGenome</a>&amp; source);</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="class_g_e_list_genome.html#a2d8da98535d388c7d2f42daf065f8b43">~GEListGenome</a>();</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="class_g_e_list_genome.html">GEListGenome</a>* <a class="code" href="class_g_e_list_genome.html#a056e89f4b46146e92d625ed63be8396a">clone</a>(GAGenome::CloneMethod method) <span class="keyword">const</span>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_g_e_list_genome.html#ab887cac73957f5aa2496ad63e823f730">copy</a>(<span class="keyword">const</span> GAGenome&amp; source);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="class_g_e_list_genome.html#a8f1514f6e8b7d2e082da2dd8adb127db">equal</a>(<span class="keyword">const</span> GAGenome&amp; source) <span class="keyword">const</span>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <a class="code" href="class_g_e_list_genome.html">GEListGenome</a> <a class="code" href="class_g_e_list_genome.html#ad5a6f4d191251c296d30dc14eaf86455">operator=</a>(<span class="keyword">const</span> GAGenome&amp; source);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="class_g_e_list_genome.html#a63e7099d4398f546a75e22f21f87afd9">getEffectiveSize</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="class_g_e_list_genome.html#a6c16b0d2d3e3e1505e72dedc78766a71">setEffectiveSize</a>(<span class="keyword">const</span> <span class="keywordtype">int</span> newEffSize);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="class_g_e_list_genome.html#a7411fdb87fd349346571c96acfa87416">effCrossover</a>(<span class="keyword">const</span> GAGenome&amp; p1,</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;              <span class="keyword">const</span> GAGenome&amp; p2,</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;              GAGenome* c1, </div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;              GAGenome* c2);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="class_g_e_list_genome.html#a8967ed77758986d9e73497f76b323d60">pointMutator</a>(GAGenome&amp; g, <span class="keywordtype">float</span> pmut);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keywordtype">double</span> <a class="code" href="class_g_e_list_genome.html#a6ebce36f83a1d946fa6c56a4cb4cb49d">getTestFitness</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="class_g_e_list_genome.html#ae78f93ec09d4861138151634fd97a42e">setTestFitness</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> tFitness);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keywordtype">void</span> helpCopy(<span class="keyword">const</span> <a class="code" href="class_g_e_list_genome.html">GEListGenome</a>&amp; source);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordtype">int</span> helpCompare(<span class="keyword">const</span> <a class="code" href="class_g_e_list_genome.html">GEListGenome</a>&amp; source) <span class="keyword">const</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> effSize;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <span class="keywordtype">double</span> testFitness;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;};</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclass_g_e_list_genome_html_ae78f93ec09d4861138151634fd97a42e"><div class="ttname"><a href="class_g_e_list_genome.html#ae78f93ec09d4861138151634fd97a42e">GEListGenome::setTestFitness</a></div><div class="ttdeci">void setTestFitness(const double tFitness)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:91</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a6ebce36f83a1d946fa6c56a4cb4cb49d"><div class="ttname"><a href="class_g_e_list_genome.html#a6ebce36f83a1d946fa6c56a4cb4cb49d">GEListGenome::getTestFitness</a></div><div class="ttdeci">double getTestFitness() const</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:87</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_ab887cac73957f5aa2496ad63e823f730"><div class="ttname"><a href="class_g_e_list_genome.html#ab887cac73957f5aa2496ad63e823f730">GEListGenome::copy</a></div><div class="ttdeci">virtual void copy(const GAGenome &amp;source)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:31</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a8967ed77758986d9e73497f76b323d60"><div class="ttname"><a href="class_g_e_list_genome.html#a8967ed77758986d9e73497f76b323d60">GEListGenome::pointMutator</a></div><div class="ttdeci">static int pointMutator(GAGenome &amp;g, float pmut)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:167</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a6c16b0d2d3e3e1505e72dedc78766a71"><div class="ttname"><a href="class_g_e_list_genome.html#a6c16b0d2d3e3e1505e72dedc78766a71">GEListGenome::setEffectiveSize</a></div><div class="ttdeci">void setEffectiveSize(const int newEffSize)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:83</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a056e89f4b46146e92d625ed63be8396a"><div class="ttname"><a href="class_g_e_list_genome.html#a056e89f4b46146e92d625ed63be8396a">GEListGenome::clone</a></div><div class="ttdeci">virtual GEListGenome * clone(GAGenome::CloneMethod method) const</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:26</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a63e7099d4398f546a75e22f21f87afd9"><div class="ttname"><a href="class_g_e_list_genome.html#a63e7099d4398f546a75e22f21f87afd9">GEListGenome::getEffectiveSize</a></div><div class="ttdeci">int getEffectiveSize() const</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:80</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html"><div class="ttname"><a href="class_g_e_list_genome.html">GEListGenome</a></div><div class="ttdef"><b>Definition:</b> GEListGenome.h:10</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a2d8da98535d388c7d2f42daf065f8b43"><div class="ttname"><a href="class_g_e_list_genome.html#a2d8da98535d388c7d2f42daf065f8b43">GEListGenome::~GEListGenome</a></div><div class="ttdeci">virtual ~GEListGenome()</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:22</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a7411fdb87fd349346571c96acfa87416"><div class="ttname"><a href="class_g_e_list_genome.html#a7411fdb87fd349346571c96acfa87416">GEListGenome::effCrossover</a></div><div class="ttdeci">static int effCrossover(const GAGenome &amp;p1, const GAGenome &amp;p2, GAGenome *c1, GAGenome *c2)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:97</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a1320e2bfb7fdf0dce9cf1fa921850cb1"><div class="ttname"><a href="class_g_e_list_genome.html#a1320e2bfb7fdf0dce9cf1fa921850cb1">GEListGenome::GEListGenome</a></div><div class="ttdeci">GEListGenome()</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:12</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_a8f1514f6e8b7d2e082da2dd8adb127db"><div class="ttname"><a href="class_g_e_list_genome.html#a8f1514f6e8b7d2e082da2dd8adb127db">GEListGenome::equal</a></div><div class="ttdeci">virtual int equal(const GAGenome &amp;source) const</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:42</div></div>
<div class="ttc" id="aclass_g_e_list_genome_html_ad5a6f4d191251c296d30dc14eaf86455"><div class="ttname"><a href="class_g_e_list_genome.html#ad5a6f4d191251c296d30dc14eaf86455">GEListGenome::operator=</a></div><div class="ttdeci">GEListGenome operator=(const GAGenome &amp;source)</div><div class="ttdef"><b>Definition:</b> GEListGenome.cpp:53</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
